use serde::{Serialize, Deserialize};
use crate::models::item::Item;
use crate::GeoffreyDatabaseModel;
use std::collections::HashSet;

#[derive(Serialize, Deserialize, Debug, Clone, Default)]
pub struct FarmData {
    id: Option<u64>,
    pub items_produced: HashSet<Item>
}

impl GeoffreyDatabaseModel for FarmData {
    fn id(&self) -> Option<u64> {
        self.id
    }

    fn set_id(&mut self, id: u64) {
        self.id = Some(id)
    }

    fn tree() -> String {
        "farm".to_string()
    }
}
