use serde::{Serialize, Deserialize};
use crate::GeoffreyDatabaseModel;
use std::collections::HashSet;

#[derive(Serialize, Deserialize, Debug, Clone, Default)]
pub struct Market {
    pub id: Option<u64>,
    pub shops: HashSet<u64>
}

impl GeoffreyDatabaseModel for Market {
    fn id(&self) -> Option<u64> {
        self.id
    }

    fn set_id(&mut self, id: u64) {
        self.id = Some(id)
    }

    fn tree() -> String {
        "market".to_string()
    }
}

